List Entries
curl --request GET \
--url https://api.aspect-dev.systems/v1/organizations/{organization}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aspect-dev.systems/v1/organizations/{organization}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aspect-dev.systems/v1/organizations/{organization}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "entries",
"attributes": {
"id": "310476121357873159",
"parent_id": "310476121357873160",
"code": "ABC123",
"state": "canceled",
"first_name": "John",
"last_name": "Doe",
"offering_type": "ticket",
"offering_id": "310476121357873155",
"offering_name": "Green Fee",
"price": 5000,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T14:30:00Z"
},
"relationships": {
"division": {
"data": {
"type": "divisions",
"id": "<string>"
}
},
"slot": {
"data": {
"type": "slots",
"id": "<string>"
}
},
"reservation": {
"data": {
"type": "reservations",
"id": "<string>"
}
},
"membership": {
"data": {
"type": "memberships",
"id": "<string>"
}
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"path": "<string>",
"per_page": 1,
"next_cursor": "<string>",
"prev_cursor": "<string>"
},
"included": [
{
"id": "<string>",
"type": "divisions",
"attributes": {
"id": "310476121357873158",
"name": "Golf",
"industry": "golf"
}
}
]
}{
"message": "<string>"
}Entries
List Entries
Retrieve all entries for a specific organization.
GET
/
v1
/
organizations
/
{organization}
/
entries
List Entries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available includes are division, slot, reservation, membership. You can include multiple options by separating them with a comma.
The number of results that will be returned per page.
The cursor to start the pagination from.
Filter by division ID.
Example:
310476121357873150
Filter by reservation ID.
Example:
310476121357873150
Filter by slot ID.
Example:
310476121357873150
Filter by entry state.
Example:
"confirmed"
Filter by date.
Example:
"2025-06-26"
Response
Paginated set of Entry